Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleadapter.base
Class MCConfiguration

    java.lang.Object
      com.stc.connector.framework.jca.system.MCConfiguration
          com.stc.connector.oracleadapter.base.MCConfiguration

All Implemented Interfaces:
  java.io.Serializable

    public class MCConfiguration

extends com.stc.connector.framework.jca.system.MCConfiguration

Managed Connection Configuration.

Author:
  $Author: pveerava $
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROBABILITY_FOR_COMMIT_TOFAIL_PARAMNAME`

Fields inherited from class com.stc.connector.framework.jca.system.MCConfiguration
`cMessages, mAdditionalConfigurationMethods, mAdditionalConfigurationValues, mBaseConfiguration, mClassName, mConfiguration, mConfigurationMethods, mNonXAConfigurationMethods, mNonXAConfigurationValues, mProbabilityIndexForCommitToFail, mProjectInfo, mRetryConfigurationMethods, msgManager, mXAConfigurationMethods, mXAConfigurationValues`

Constructor Summary
`MCConfiguration(java.lang.String className)` Creates a new instance of MCConfiguration

Method Summary
`protected void` | `invokeAdditionConfigMethods(java.lang.Object aMCF)` Invoke each of the additional config method with the values passed.
`void` | `setConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration, java.lang.Object aMCF)`
`void` | `setProbabilityIndexForCommitToFail(java.lang.String probability, java.lang.Object aMCF)` This method sets the value of PROBABILITY_FOR_COMMIT_TOFAIL_PARAMNAME on the JDBCConnector MCF.

Methods inherited from class com.stc.connector.framework.jca.system.MCConfiguration
`getConfiguration, getConfigurationModel, getProbabilityIndexForCommitToFail, getProjectInfo, init, init, invokeConfigMethods, setAdditionalConfigMethods, setNonXAConfigMethods, setProjectInfo, setXAConfigMethods`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROBABILITY_FOR_COMMIT_TOFAIL_PARAMNAME

    public static final java.lang.String PROBABILITY_FOR_COMMIT_TOFAIL_PARAMNAME

See Also:
  Constant Field Values

Constructor Detail

### MCConfiguration

    public MCConfiguration(java.lang.String className)

  Creates a new instance of MCConfiguration

  Parameters:
    `className` - class name of the Managed Connection.

Method Detail

### setConfiguration

    public void setConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration,
                                 java.lang.Object aMCF)
                          throws java.lang.Exception

  Overrides:
    `setConfiguration` in class `com.stc.connector.framework.jca.system.MCConfiguration`
  Throws:
    `java.lang.Exception`

### invokeAdditionConfigMethods

    protected void invokeAdditionConfigMethods(java.lang.Object aMCF)
                                        throws java.lang.Exception

  Invoke each of the additional config method with the values passed. The called is made to the JDBC connector to set these values.

  Parameters:
    `aMCF` -
  Throws:
    `java.lang.Exception`

### setProbabilityIndexForCommitToFail

    public void setProbabilityIndexForCommitToFail(java.lang.String probability,
                                                   java.lang.Object aMCF)

  This method sets the value of PROBABILITY_FOR_COMMIT_TOFAIL_PARAMNAME on the JDBCConnector MCF. This method is called from STCDelegationMCF. A config-property ProbabilityIndexForCommitToFail is set in the ra.xml (by the codeletFactory) Which is passed along here by STCDelegationMCF.

  Overrides:
    `setProbabilityIndexForCommitToFail` in class `com.stc.connector.framework.jca.system.MCConfiguration`
  Parameters:
    `probability` -
    `aMCF` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD